﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ListViewItemTempl.Portable
{
    public partial class StartPage : ContentPage
    {
        private ViewModel _vm;
        public StartPage()
        {
            InitializeComponent();
            _vm = new ViewModel();
            this.BindingContext = _vm;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            (_vm.Source as ObservableCollection<DataItem>).First().Name = "Updated Test Name";
        }
    }

    public class MyTemplateSelector : DataTemplateSelector
    {
        public DataTemplate DefaultTemplate { get; set; }
        public DataTemplate EmptyTemplate { get; set; }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            //var book = item as DataItem;
            //if (book.IsSpecial)
            //{
            //    return this.DefaultTemplate;
            //}

            return this.DefaultTemplate;
        }
    }

    public class MyStringToStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return ((string)value) + " converter";
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}